-- name: [CS] BuckleyTim's Poke Pack
-- description: V1.1 | Includes Lucario and Zeraora. Made by BuckleyTim.
-- description: Includes Two Pokemon. \n\nMade by BuckleyTim. \n\nRequires Character Select!


local E_MODEL_LUCARIO = smlua_model_util_get_id("lucario_geo")
local E_MODEL_ZERAORA = smlua_model_util_get_id("zeraora_geo")

local TEXT_MOD_NAME = "BuckleyTim's Poke Pack"

local TEX_LUCARIO = get_texture_info("lucario_icon")
local TEX_ZERAORA = get_texture_info("zeraora_icon")

local VOICETABLE_LUCARIO = {
    [CHAR_SOUND_ATTACKED] = "vc_lucario_damage02.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "vc_lucario_007.ogg",
    [CHAR_SOUND_HAHA] = "vc_lucario_attack03.ogg",
    [CHAR_SOUND_HAHA_2] = "vc_lucario_attack05.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "vc_lucario_win02.ogg",
    [CHAR_SOUND_HOOHOO] = "vc_lucario_jump01.ogg",
    [CHAR_SOUND_ON_FIRE] = "vc_lucario_damage_twinkle.ogg",
    [CHAR_SOUND_OOOF] = "vc_lucario_damagefly01.ogg",
    [CHAR_SOUND_OOOF2] = "vc_lucario_damagefly02.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "vc_lucario_002.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "vc_lucario_013.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "vc_lucario_001.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "vc_lucario_final01.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "vc_lucario_appeal02.ogg",
    [CHAR_SOUND_WAAAOOOW] = "vc_lucario_damage_twinkle.ogg",
    [CHAR_SOUND_WAH2] = "vc_lucario_attack02.ogg",
    [CHAR_SOUND_WHOA] = "vc_lucario_appeal03.ogg",
    [CHAR_SOUND_YAHOO] = "vc_lucario_attack06.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {"vc_lucario_attack06.ogg", "vc_lucario_attack04.ogg"},
    [CHAR_SOUND_YAH_WAH_HOO] = {"vc_lucario_001.ogg", "vc_lucario_013.ogg", "vc_lucario_002.ogg"},
    [CHAR_SOUND_OKEY_DOKEY] = "vc_lucario_win01.ogg",
    [CHAR_SOUND_LETS_A_GO] = "vc_lucario_win02.ogg",
    [CHAR_SOUND_DYING] = "vc_lucario_missfoot01.ogg",
    [CHAR_SOUND_DROWNING] = "vc_lucario_furafura.ogg",
    [CHAR_SOUND_EEUH] = "vc_lucario_damagefly01.ogg",
    [CHAR_SOUND_MAMA_MIA] = "vc_lucario_appeal01.ogg",
    [CHAR_SOUND_DOH] = "vc_lucario_011.ogg",
    [CHAR_SOUND_HRMM] = "vc_lucario_heavyget.ogg",
    [CHAR_SOUND_PANTING] = "vc_lucario_passive.ogg",
    [CHAR_SOUND_UH] = "vc_lucario_damagefly02.ogg",
}

local VOICETABLE_ZERAORA = {
    [CHAR_SOUND_ATTACKED] = "zera_yun_hurt.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "zera_yun_DENIED.ogg",
    [CHAR_SOUND_HAHA] = "zera_yun_jump2.ogg",
    [CHAR_SOUND_HAHA_2] = "zera_yun_jump3.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "zera_yun_letsago.ogg",
    [CHAR_SOUND_HOOHOO] = "zera_yun_jump1.ogg",
    [CHAR_SOUND_ON_FIRE] = "zera_yun_bigpain.ogg",
    [CHAR_SOUND_OOOF] = "zera_yun_oof.ogg",
    [CHAR_SOUND_OOOF2] = "zera_yun_hurt.ogg",
    [CHAR_SOUND_PUNCH_HOO] = "zera_yun_punch1.ogg",
    [CHAR_SOUND_PUNCH_WAH] = "zera_yun_punch2.ogg",
    [CHAR_SOUND_PUNCH_YAH] = "zera_yun_punch3.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "zera_yun_bows_throw.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "zera_yun_haha.ogg",
    [CHAR_SOUND_WAAAOOOW] = "zera_yun_falling.ogg",
    [CHAR_SOUND_WAH2] = "zera_yun_punch2.ogg",
    [CHAR_SOUND_WHOA] = "zera_yun_GO.ogg",
    [CHAR_SOUND_YAHOO] = "zera_yun_longjump.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {"zera_yun_longjump.ogg", "zera_yun_jump2.ogg"},
    [CHAR_SOUND_YAH_WAH_HOO] = {"zera_yun_punch3.ogg", "zera_yun_punch2.ogg", "zera_yun_punch1.ogg"},
    [CHAR_SOUND_OKEY_DOKEY] = "zera_yun_notbad.ogg",
    [CHAR_SOUND_LETS_A_GO] = "zera_yun_letsago.ogg",
    [CHAR_SOUND_DYING] = "zera_yun_death1.ogg",
    [CHAR_SOUND_DROWNING] = "zera_yun_death1.ogg",
    [CHAR_SOUND_EEUH] = "zera_yun_grab.ogg",
    [CHAR_SOUND_MAMA_MIA] = "zera_yun_thathurt.ogg",
    [CHAR_SOUND_DOH] = "zera_yun_bonk.ogg",
    [CHAR_SOUND_HRMM] = "zera_yun_gotcha.ogg",
    [CHAR_SOUND_PANTING] = "zera_yun_guh.ogg",
    [CHAR_SOUND_UH] = "zera_yun_guh.ogg",
}



local PALLETE_LUCARIO = {
    [PANTS]  = {r = 0x60, g = 0x64, b = 0x64},
    [SHIRT]  = {r = 0xf7, g = 0xef, b = 0xb1},
    [GLOVES] = {r = 0xff, g = 0xff, b = 0xff},
    [SHOES]  = {r = 0x68, g = 0x40, b = 0x1b},
    [HAIR]   = {r = 0x73, g = 0x06, b = 0x00},
    [SKIN]   = {r = 0xfe, g = 0xd5, b = 0xa1},
    [CAP]    = {r = 0x76, g = 0xb4, b = 0xce},
    }

    -- zerora palette cheat sheet
    -- cap | C2BD5A
    -- pants | 6B6F76
    -- shirt | 7CB2C2
local PALLETE_ZERAORA = {
    [PANTS]  = {r = 0x6b, g = 0x6f, b = 0x76},
    [SHIRT]  = {r = 0x7c, g = 0xb2, b = 0xc2},
    [GLOVES] = {r = 0xff, g = 0xff, b = 0xff},
    [SHOES]  = {r = 0x68, g = 0x40, b = 0x1b},
    [HAIR]   = {r = 0x73, g = 0x06, b = 0x00},
    [SKIN]   = {r = 0xfe, g = 0xd5, b = 0xa1},
    [CAP]    = {r = 0xc2, g = 0xbd, b = 0x5a},
    }

-- add it
if _G.charSelectExists then
    _G.charSelect.character_add("Lucario", {"448 | The Aura Pokémon", "Evolves from Riolu"}, "Buckley Tim", {r = 0, g = 0, b = 152}, E_MODEL_LUCARIO, CT_MARIO, TEX_LUCARIO)
    _G.charSelect.character_add("Zeraora", {"807 | The Thunderclap Pokémon", "Does Not Evolve"}, "Buckley Tim", {r = 1520, g = 152, b = 0}, E_MODEL_ZERAORA, CT_LUIGI, TEX_ZERAORA)

    _G.charSelect.character_add_voice(E_MODEL_LUCARIO, VOICETABLE_LUCARIO)
    _G.charSelect.character_add_voice(E_MODEL_ZERAORA, VOICETABLE_ZERAORA)

    --taken from toadette code

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_LUCARIO then return _G.charSelect.voice.sound(m, sound) end
    end)

    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_LUCARIO then return _G.charSelect.voice.snore(m) end
    end)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ZERAORA then return _G.charSelect.voice.sound(m, sound) end
    end)

    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ZERAORA then return _G.charSelect.voice.snore(m) end
    end)

    _G.charSelect.character_add_palette_preset(E_MODEL_LUCARIO, PALLETE_LUCARIO)
    _G.charSelect.character_add_palette_preset(E_MODEL_ZERAORA, PALLETE_ZERAORA)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


